#!/bin/bash
#
# $Id$
#
# IceProd environment script.
#
# THIS FILE WAS AUTOGENERATED.  ANY CHANGES YOU MAKE HERE WILL BE
# LOST.  
# 
# [tds] If you need to change things here to make things work, that's
# a bug and you should *report* this to dataclass@icecube.wisc.edu or
# offlinebug@icecube.umd.edu.  Thanks for your help.  
#
if [[ "$1" = "help" ]]
    then
    echo "Usage: $0 [SHELL]"
    echo "Spawn a new shell with an IceProd environment loaded"
    echo ""
    echo "SHELL can specified with or without a full path.  If SHELL"
    echo "is omitted the login shell is used by default."
    echo "Examples:"
    echo "   ./env.sh"
    echo "   ./env.sh tcsh"
    echo "   ./env.sh /bin/tcsh"
    echo ""
    echo "To exit the IceProd environment simply exit the new shell."
    echo ""
    exit 1
fi

if [[ -z "$1" ]]
    then # user did not specify a shell
    NEW_SHELL=$SHELL 
    # only exit if no shell specified on command line *and* env already loaded 
    if [[ -n "$IP_SHELL" ]] 
	then  
	echo "****************************************************************"
	echo "You are currently in a shell with an IceProd environment loaded."
	echo "Please exit the current shell and re-run $0 from a clean shell."
	echo "****************************************************************"
	echo "Environment not (re)loaded."
	exit 2
    fi
else
    NEW_SHELL=$1
    shift
    ARGV=$*
fi

_I3PROD=$(cd -P -- "$(dirname -- "$0")" && pwd -P)
_IP_SHELL=$NEW_SHELL
_LD_LIBRARY_PATH=$_I3PROD/lib64:$_I3PROD/lib:$LD_LIBRARY_PATH
_DYLD_LIBRARY_PATH=$_I3PROD/lib64:$_I3PROD/lib:$DYLD_LIBRARY_PATH
_PYTHONPATH=$_I3PROD/lib:$PYTHONPATH
_LIBRARY_PATH=$_I3PROD/lib64:$_I3PROD/lib:$LIBRARY_PATH
_PERL5LIB=$_I3PROD/lib/perl:$_I3PROD/lib/perl5:$_I3PROD/lib/perl5/site_perl:$PERL5LIB
_PATH=$_I3PROD/bin:$PATH

TOPBAR="************************************************************************"
WIDTH=`echo "$TOPBAR" | wc -c`

WIDTH=$(( $WIDTH-2 ))

function printctr()
{
    LEN=`echo "$*" | wc -c`
    LOFFSET=$(( ($WIDTH-$LEN)/2 ))
    ROFFSET=$(( $WIDTH-$LOFFSET-$LEN ))

    FORMAT="*%${LOFFSET}s%s%${ROFFSET}s*\n"
    printf $FORMAT " " "$*" " "
}

if [[ -z "$ARGV" ]]
    then
    printf "$TOPBAR\n"
    printctr ""
    printctr "W E L C O M E  "
    printctr ""
    printctr "ICEPROD  "
    printctr ""
    printctr "branches.iceprod2"
    printctr ""
    printf "$TOPBAR\n"
    printf "IceProd environment has:\n"
    printf "   PYTHONPATH   = %s\n" $_PYTHONPATH
fi

if [[ -z "$IP_SHELL" ]] # a clean, first invocation
    then

    PATH=$_PATH \
	LD_LIBRARY_PATH=$_LD_LIBRARY_PATH \
	DYLD_LIBRARY_PATH=$_DYLD_LIBRARY_PATH \
	PYTHONPATH=$_PYTHONPATH \
	I3PROD=$_I3PROD \
	LIBRARY_PATH=$_LIBRARY_PATH \
	PERL5LIB=$_PERL5LIB \
	IP_SHELL=$_IP_SHELL \
	$NEW_SHELL $ARGV

else  # not clean, use previous environment
    $NEW_SHELL $ARGV
fi

STATUS=$?

if [ -z "$ARGV" ]
then
    echo "Exited IceProd Environment."
fi
exit $STATUS
