
# 
# Copyright 1999-2006 University of Chicago
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
# http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# 

eval_path()
{
    _pathval="$1"
    _old_pathval=""

    while test "$_pathval" != "$_old_pathval"; do
        _old_pathval="$_pathval"
        eval "_pathval=\"$_pathval\""
    done
    echo "$_pathval"
}

prefix="${GLOBUS_LOCATION:-/scratch/dschultz/globus}"
exec_prefix='${prefix}'
sbindir='${exec_prefix}/sbin'
bindir='${exec_prefix}/bin'
libdir='${exec_prefix}/lib64'
libexecdir='${datadir}/globus'
includedir='${prefix}/include/globus'
datarootdir='${prefix}/share'
datadir='${prefix}/share'
mandir='${prefix}/man'
sysconfdir='${prefix}/etc'
sharedstatedir='${prefix}/com'
localstatedir='${prefix}/var'
GLOBUS_FLAVOR_NAME='gcc64dbg'

setupdir='${prefix}/setup/globus'
testdir='${prefix}/test/${PACKAGE}'
flavorincludedir='${includedir}/${GLOBUS_FLAVOR_NAME}'
pkgdir='${datadir}/globus/packages/${PACKAGE}'
aclocaldir='${datadir}/globus/aclocal'
perlmoduledir='${prefix}/lib/perl'
doxygendir='${datadir}/doxygen'
guess_libdir='0'

MP=""
MP_INCLUDES=""
MP_LIBS=""

CC="/usr/bin/gcc"
CPP="/usr/bin/gcc -E"
CPPFLAGS="`eval_path ' -I${prefix}/include/globus -I${includedir}/${GLOBUS_FLAVOR_NAME}'`"
CFLAGS="`eval_path '-g   -m64  -Wall'`"

LDFLAGS="`eval_path ' -L${exec_prefix}/lib64  -m64 '`"
LIBS="`eval_path '  '`"

CXX="/usr/bin/c++"
CXXCPP="/usr/bin/c++ -E"
CXXFLAGS="-g   -m64 "

F77="f95"
F77FLAGS=" "

F90=""
F90FLAGS=" "

AR="/usr/bin/ar"
ARFLAGS="ruv"
RANLIB="/usr/bin/ranlib"

NM="/usr/bin/nm -B"

PERL="/scratch/dschultz/globus/bin/perl"

OBJEXT="o"
EXEEXT=""

OBJECT_MODE=""

CROSS="no"
cross_compiling=${CROSS}

GLOBUS_THREADS="none"
GLOBUS_HOST="x86_64-redhat-linux-gnu"
GLOBUS_DEBUG="yes"

if [ $# -gt 0 ] && [ $1 = "makefile-header" ]; then
    cat <<EOF
GLOBUS_MP=""
GLOBUS_MP_INCLUDES=""
GLOBUS_MP_LIBS=""

GLOBUS_CC="/usr/bin/gcc"
GLOBUS_CPP="/usr/bin/gcc -E"
GLOBUS_FLAVOR_NAME='gcc64dbg'
GLOBUS_CPPFLAGS="`eval_path ' -I${prefix}/include/globus -I${includedir}/${GLOBUS_FLAVOR_NAME}'`"
GLOBUS_CFLAGS="`eval_path '-g   -m64  -Wall'`"

GLOBUS_LDFLAGS="`eval_path ' -L${exec_prefix}/lib64  -m64 '`"
GLOBUS_LIBS="`eval_path '  '`"

GLOBUS_CXX="/usr/bin/c++"
GLOBUS_CXXCPP="/usr/bin/c++ -E"
GLOBUS_CXXFLAGS="-g   -m64 "

GLOBUS_F77="f95"
GLOBUS_F77FLAGS=" "

GLOBUS_F90=""
GLOBUS_F90FLAGS=" "

GLOBUS_AR="/usr/bin/ar"
GLOBUS_ARFLAGS="ruv"
GLOBUS_RANLIB="/usr/bin/ranlib"

GLOBUS_NM="/usr/bin/nm -B"

GLOBUS_OBJEXT="o"
GLOBUS_EXEEXT=""

GLOBUS_OBJECT_MODE=""

GLOBUS_CROSS="no"
GLOBUS_cross_compiling=${CROSS}

GLOBUS_THREADS="none"
GLOBUS_HOST="x86_64-redhat-linux-gnu"
GLOBUS_DEBUG="yes"
EOF
fi

